LibreOffice: XControlAccess Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XControlAccess Interface Referencepublished

Generic control access interface. More...

`import"XControlAccess.idl";`

Inheritance diagram for XControlAccess:

## Public Member Functions
void | setControlProperty ([in] string aControlName, [in] string aControlProperty, [in] any aValue) raises ( com::sun::star::lang::IllegalArgumentException )
| Change a control property. More...
any | getControlProperty ([in] string aControlName, [in] string aControlProperty) raises ( com::sun::star::lang::IllegalArgumentException )
| Query for a control property. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Generic control access interface.

Use this interface to access user interface controls supported by the implementing service. The supported controls, control properties and the appropriate values are documented in the description of the implementing service.

See also
  com::sun::star::ui::dialogs::FilePicker
  com::sun::star::ui::dialogs::FilePicker

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getControlProperty()

any getControlProperty | ( | [in] string | aControlName,
|  | [in] string | aControlProperty
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Query for a control property.

Parameters

  aControlName | The name of the control. Common control names are for instance "OkButton" or "CancelButton".
  aControlProperty | The requested control property. Common control properties are for instance "Label" or "State".

Returns
  the requested value.

Exceptions

  com::sun::star::lang::IllegalArgumentException | when the control is not supported or the control property is invalid.

## ◆ setControlProperty()

void setControlProperty | ( | [in] string | aControlName,
|  | [in] string | aControlProperty,
|  | [in] any | aValue
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Change a control property.

Parameters

  aControlName | The name of the control. Common control names are for instance "OkButton" or "CancelButton".
  aControlProperty | The control property to manipulate. Common control properties are for instance "Label" or "State".
  aValue | A value appropriated for the property.

Exceptions

  com::sun::star::lang::IllegalArgumentException | when the control is not supported, the control property is invalid or the value fits not the control action.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XControlAccess.idl